Bug 447665 - Package applications menu generator for WindowMaker
Package applications menu generator for WindowMaker
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: WindowMaker (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 213982
  Show dependency treegraph
 
Reported: 2008-05-20 22:02 EDT by Petr Machata
Modified: 2015-05-04 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:09:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A script that generates the application menu. (580 bytes, text/x-python)
2008-05-20 22:02 EDT, Petr Machata
no flags Details

  None (edit)
Description Petr Machata 2008-05-20 22:02:37 EDT
Description of problem:
The WindowMaker application menu doesn't match applications that are actually
installed.

Version-Release number of selected component (if applicable):
WindowMaker-0.92.0-16.fc8

How reproducible:
Always

Steps to Reproduce:
1. Look at WindowMaker applications menu
2. Look at Gnome panel applications menu
3. Observe that they don't match
  
Additional info:
WindowMaker understands auto-generated menues.  I have a script that generates
the application menu matching what's currently installed (adapted from Luke
Macken's script that does the same for OpenBox).  I'll attach that.

It would be nice to either modify WindowMaker default settings so that one menu
entry, e.g. "Fedora", is dedicated to actually installed applications.  That
would however introduce strong dependency of WindowMaker on Gnome, because
"gmenu" module necessary for this functionality is packaged in gnome-menus.  

If this is not desired, alternatively the script could only be packaged, and
users who wish to use the automatic menu could change their configuration by hand.

Or you could assume that most users will have Gnome installed anyway, just
surround the "import gmenu" with try/except, and on except generate empty menu.
Users without Gnome would then have to remove the menu entry by hand to get rid
of empty shell of menu.
Comment 1 Petr Machata 2008-05-20 22:02:37 EDT
Created attachment 306200 [details]
A script that generates the application menu.
Comment 2 Bug Zapper 2008-11-25 21:18:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 07:30:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:09:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.